<template>
  <div class="right">
    <role-customer v-if="role === 'customer'"/>
    <role-executor v-else/>
  </div>
</template>

<script>
  import RoleCustomer from './roles/customer';
  import RoleExecutor from './roles/executor';
  export default {
    name: "rightPanel",
    components: {
      RoleCustomer,
      RoleExecutor
    },
    props: ['role']
  }
</script>

<style scoped lang="scss">
 .right {
   width: 100%;
 }
</style>